Description: Remove default tt-rss forum feed
 Avoids contacting tt-rss servers as soon as new installation is done. This may
 be seen by users as a privacy violation as they may wish to remain anonymous
 while using tt-rss.
Forwarded: no
Author: Sunil Mohan Adapa <sunil@medhas.org>
Bug-Debian: https://bugs.debian.org/932924

Index: tt-rss/classes/pref/users.php
===================================================================
--- tt-rss.orig/classes/pref/users.php
+++ tt-rss/classes/pref/users.php
@@ -447,13 +447,6 @@ class Pref_Users extends Handler_Protect
 	// or whatever else
 	// user preferences are checked on every login, not here
 	static function initialize_user($uid) {
-
-		$pdo = Db::pdo();
-
-		$sth = $pdo->prepare("insert into ttrss_feeds (owner_uid,title,feed_url)
-			values (?, 'Tiny Tiny RSS: Forum',
-				'https://tt-rss.org/forum/rss.php')");
-		$sth->execute([$uid]);
 	}
 
 	static function logout_user() {
Index: tt-rss/schema/ttrss_schema_mysql.sql
===================================================================
--- tt-rss.orig/schema/ttrss_schema_mysql.sql
+++ tt-rss/schema/ttrss_schema_mysql.sql
@@ -146,9 +146,6 @@ create table ttrss_feeds (id integer not
 	foreign key (parent_feed) references ttrss_feeds(id) ON DELETE SET NULL,
 	unique(feed_url(255), owner_uid)) ENGINE=InnoDB DEFAULT CHARSET=UTF8;
 
-insert into ttrss_feeds (owner_uid, title, feed_url) values
-	((select id from ttrss_users where login = 'admin'), 'Tiny Tiny RSS: Forum', 'https://tt-rss.org/forum/rss.php');
-
 create table ttrss_entries (id integer not null primary key auto_increment,
 	title text not null,
 	guid varchar(255) not null unique,
Index: tt-rss/schema/ttrss_schema_pgsql.sql
===================================================================
--- tt-rss.orig/schema/ttrss_schema_pgsql.sql
+++ tt-rss/schema/ttrss_schema_pgsql.sql
@@ -115,9 +115,6 @@ create table ttrss_feeds (id serial not
 create index ttrss_feeds_owner_uid_index on ttrss_feeds(owner_uid);
 create index ttrss_feeds_cat_id_idx on ttrss_feeds(cat_id);
 
-insert into ttrss_feeds (owner_uid, title, feed_url) values
-	((select id from ttrss_users where login = 'admin'), 'Tiny Tiny RSS: Forum', 'https://tt-rss.org/forum/rss.php');
-
 create table ttrss_archived_feeds (id integer not null primary key,
 	owner_uid integer not null references ttrss_users(id) on delete cascade,
 	created timestamp not null,
